package cn.gygxzc.cloud.config.model

import com.baomidou.mybatisplus.annotation.TableId
import com.baomidou.mybatisplus.annotation.TableName
import java.util.*

/**
 * 通用的配置信息
 * @property application 所属的主体名称
 * @property isServer 是否为服务端的配置信息
 */
@TableName("common_config")
data class CommonConfig(@TableId
                        var id:Int?=null,
                        var property:String?=null,
                        var propValue:String?=null,
                        var title:String?=null,
                        var description:String?=null,
                        var application:String?=null,
                        var isServer:Boolean?=null,
                        var createTime:Date?=null,
                        var createBy:String?=null,
                        var remark:String?=null) {
}