package cn.gygxzc.cloud.config.service

import cn.gygxzc.cloud.config.model.PropertyLabel
import cn.tonyandmoney.tuonq.core.req.PageReq
import com.baomidou.mybatisplus.core.metadata.IPage
import reactor.core.publisher.Mono

/**
 * 标签属性服务
 */
interface ILabelService {

    /**
     * 查询
     */
    fun findAll(req: PageReq, keywords: String?): Mono<IPage<PropertyLabel>>

    fun addLabel(label: PropertyLabel):Mono<Void>

    fun editLabel(label: PropertyLabel):Mono<Void>

    fun delLabel(id: Int):Mono<Void>
}