package cn.tonyandmoney.tuonq.core.req;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

public class PageReq {

    private long pageSize;
    private long page;

    public PageReq() {
        page = 1;
        pageSize = 20;
    }

    /**
     * 返回分页数据
     */
    public <T> Page<T> page() {
        return new Page<>(page, pageSize);
    }

    public long getPageSize() {
        return pageSize;
    }

    public void setPageSize(long pageSize) {
        this.pageSize = pageSize;
    }

    public long getPage() {
        return page;
    }

    public void setPage(long page) {
        this.page = page;
    }
}
